Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calpa.html
Class DefaultCalHTMLObserver

    java.lang.Object
      |
      +--calpa.html.DefaultCalHTMLObserver

public class DefaultCalHTMLObserver
extends java.lang.Object
implements CalHTMLObserver

A default implementation of the `CalHTMLObserver` interface. All methods in this class are null-ops. Users of this class need only override those methods of interest.

See Also:
  `CalHTMLObserver`

Constructor Summary
`DefaultCalHTMLObserver()`

Method Summary
`void` | `formSubmitUpdate(CalHTMLPane pane, java.net.URL docBaseURL, int method, java.lang.String action, java.lang.String data)`
`void` | `historyUpdate(CalHTMLPane pane, int position)`
`void` | `linkActivatedUpdate(CalHTMLPane pane, java.net.URL url, java.lang.String targetFrame, java.lang.String jName)`
`void` | `linkFocusedUpdate(CalHTMLPane pane, java.net.URL url)`
`void` | `showNewFrameRequest(CalHTMLPane pane, java.lang.String targetFrame, java.net.URL url)`
`void` | `statusUpdate(CalHTMLPane pane, int status, java.net.URL url, int value, java.lang.String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultCalHTMLObserver

    public DefaultCalHTMLObserver()

Method Detail

### linkActivatedUpdate

    public void linkActivatedUpdate(CalHTMLPane pane,
                                    java.net.URL url,
                                    java.lang.String targetFrame,
                                    java.lang.String jName)

  Specified by:
    linkActivatedUpdate in interface CalHTMLObserver

### linkFocusedUpdate

    public void linkFocusedUpdate(CalHTMLPane pane,
                                  java.net.URL url)

  Specified by:
    linkFocusedUpdate in interface CalHTMLObserver

### statusUpdate

    public void statusUpdate(CalHTMLPane pane,
                             int status,
                             java.net.URL url,
                             int value,
                             java.lang.String message)

  Specified by:
    statusUpdate in interface CalHTMLObserver

### formSubmitUpdate

    public void formSubmitUpdate(CalHTMLPane pane,
                                 java.net.URL docBaseURL,
                                 int method,
                                 java.lang.String action,
                                 java.lang.String data)

  Specified by:
    formSubmitUpdate in interface CalHTMLObserver

### historyUpdate

    public void historyUpdate(CalHTMLPane pane,
                              int position)

  Specified by:
    historyUpdate in interface CalHTMLObserver

### showNewFrameRequest

    public void showNewFrameRequest(CalHTMLPane pane,
                                    java.lang.String targetFrame,
                                    java.net.URL url)

  Specified by:
    showNewFrameRequest in interface CalHTMLObserver

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD